SyncComplete (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.repair.messages

## Class SyncComplete

- java.lang.Object
- - org.apache.cassandra.repair.messages.RepairMessage
  - - org.apache.cassandra.repair.messages.SyncComplete

-     public class SyncComplete
      extends RepairMessage

  Since:
    2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `RepairMessage.MessageSerializer<T extends RepairMessage>, RepairMessage.RepairMessageSerializer, RepairMessage.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `NodePair` | `nodes` nodes that involved in this sync
    `static RepairMessage.MessageSerializer` | `serializer`
    `boolean` | `success` true if sync success, false otherwise

    - ### Fields inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `desc, messageType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyncComplete(RepairJobDesc desc, java.net.InetAddress endpoint1, java.net.InetAddress endpoint2, boolean success)`
    `SyncComplete(RepairJobDesc desc, NodePair nodes, boolean success)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `createMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final RepairMessage.MessageSerializer serializer

    - #### nodes

          public final NodePair nodes

      nodes that involved in this sync

    - #### success

          public final boolean success

      true if sync success, false otherwise

  - ### Constructor Detail

    - #### SyncComplete

          public SyncComplete(RepairJobDesc desc,
                      NodePair nodes,
                      boolean success)

    - #### SyncComplete

          public SyncComplete(RepairJobDesc desc,
                      java.net.InetAddress endpoint1,
                      java.net.InetAddress endpoint2,
                      boolean success)

Copyright © 2014 The Apache Software Foundation